<?php

namespace Drupal\magento\Commands;

use Drush\Commands\DrushCommands;
use Drupal\Core\Entity\EntityStorageException;
use Drupal\magento\Services\MagentoClient;
use Drupal\magento\Services\MagentoUtils;

/**
 * Class CreateProductTypes.
 *
 * @category Commands
 * @package Drupal\magento\Commands
 * @author Omkar Deshpande <omkar.deshpande@qed42.com>
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * @link https://www.drupal.org/project/magento
 */
class CreateProductTypes extends DrushCommands {
  /**
   * Import Magento Product types in Drupal.
   *
   *
   * @command magento:create-product-types
   * @aliases magento-create-product-types
   * @options arr Will import product in the basis of array with spaces.
   *
   * @usage drush magento:create-product-types
   *
   * @throws \Drupal\Component\Plugin\Exception\InvalidPluginDefinitionException
   * @throws \Drupal\Component\Plugin\Exception\PluginNotFoundException
   * @throws \Drupal\Core\Entity\EntityStorageException
   */
  public function createProductTypes() {
    _create_product_types();
  }
}
